- Main Page
- Classes
- Files

- File List
- File Members

# hello.hxx File Reference

Generated from hello.xsd. More...

`#include <xsd/cxx/version.hxx>`
`#include <xsd/cxx/pre.hxx>`
`#include <xsd/cxx/tree/exceptions.hxx>`
`#include <xsd/cxx/tree/elements.hxx>`
`#include <xsd/cxx/tree/types.hxx>`
`#include <xsd/cxx/xml/error-handler.hxx>`
`#include <xsd/cxx/tree/parsing.hxx>`
`#include <xsd/cxx/tree/serialization.hxx>`
`#include <xsd/cxx/xml/dom/serialization-header.hxx>`
`#include <memory>`
`#include <algorithm>`
`#include <xsd/cxx/tree/containers.hxx>`
`#include <xsd/cxx/tree/list.hxx>`
`#include <xsd/cxx/xml/dom/parsing-header.hxx>`
`#include <iosfwd>`
`#include <xercesc/dom/DOMDocument.hpp>`
`#include <xercesc/dom/DOMInputSource.hpp>`
`#include <xercesc/dom/DOMErrorHandler.hpp>`
`#include <xercesc/framework/XMLFormatter.hpp>`
`#include <xsd/cxx/xml/dom/auto-ptr.hxx>`
`#include <xsd/cxx/post.hxx>`

Go to the source code of this file.

## Namespaces
namespace | xml_schema
## Classes
class | hello_t
| Class corresponding to the hello_t schema type. More...
## Typedefs
typedef ::xsd::cxx::tree::type | xml_schema::type
typedef ::xsd::cxx::tree::simple_type< type > | xml_schema::simple_type
typedef signed char | xml_schema::byte
typedef unsigned char | xml_schema::unsigned_byte
typedef short | xml_schema::short_
typedef unsigned short | xml_schema::unsigned_short
typedef int | xml_schema::int_
typedef unsigned int | xml_schema::unsigned_int
typedef long long | xml_schema::long_
typedef unsigned long long | xml_schema::unsigned_long
typedef long long | xml_schema::integer
typedef integer | xml_schema::non_positive_integer
typedef integer | xml_schema::non_negative_integer
typedef integer | xml_schema::positive_integer
typedef integer | xml_schema::negative_integer
typedef bool | xml_schema::boolean
typedef float | xml_schema::float_
typedef double | xml_schema::double_
typedef double | xml_schema::decimal
typedef ::xsd::cxx::tree::string< char, simple_type > | xml_schema::string
typedef ::xsd::cxx::tree::normalized_string< char, string > | xml_schema::normalized_string
typedef ::xsd::cxx::tree::token< char, normalized_string > | xml_schema::token
typedef ::xsd::cxx::tree::name< char, token > | xml_schema::name
typedef ::xsd::cxx::tree::nmtoken< char, token > | xml_schema::nmtoken
typedef ::xsd::cxx::tree::nmtokens< char, simple_type, nmtoken > | xml_schema::nmtokens
typedef ::xsd::cxx::tree::ncname< char, name > | xml_schema::ncname
typedef ::xsd::cxx::tree::language< char, token > | xml_schema::language
typedef ::xsd::cxx::tree::id< char, ncname > | xml_schema::id
typedef ::xsd::cxx::tree::idref< type, char, ncname > | xml_schema::idref
typedef ::xsd::cxx::tree::idrefs< char, simple_type, idref > | xml_schema::idrefs
typedef ::xsd::cxx::tree::uri< char, simple_type > | xml_schema::uri
typedef ::xsd::cxx::tree::qname< char, simple_type, uri, ncname > | xml_schema::qname
typedef ::xsd::cxx::tree::buffer< char > | xml_schema::buffer
typedef ::xsd::cxx::tree::base64_binary< char, simple_type > | xml_schema::base64_binary
typedef ::xsd::cxx::tree::hex_binary< char, simple_type > | xml_schema::hex_binary
typedef ::xsd::cxx::tree::date< char, simple_type > | xml_schema::date
typedef ::xsd::cxx::tree::date_time< char, simple_type > | xml_schema::date_time
typedef ::xsd::cxx::tree::duration< char, simple_type > | xml_schema::duration
typedef ::xsd::cxx::tree::day< char, simple_type > | xml_schema::day
typedef ::xsd::cxx::tree::month< char, simple_type > | xml_schema::month
typedef ::xsd::cxx::tree::month_day< char, simple_type > | xml_schema::month_day
typedef ::xsd::cxx::tree::year< char, simple_type > | xml_schema::year
typedef ::xsd::cxx::tree::year_month< char, simple_type > | xml_schema::year_month
typedef ::xsd::cxx::tree::time< char, simple_type > | xml_schema::time
typedef ::xsd::cxx::tree::entity< char, ncname > | xml_schema::entity
typedef ::xsd::cxx::tree::entities< char, simple_type, entity > | xml_schema::entities
typedef ::xsd::cxx::xml::dom::namespace_info< char > | xml_schema::namespace_info
typedef ::xsd::cxx::xml::dom::namespace_infomap< char > | xml_schema::namespace_infomap
typedef ::xsd::cxx::tree::flags | xml_schema::flags
typedef ::xsd::cxx::tree::properties< char > | xml_schema::properties
typedef ::xsd::cxx::tree::exception< char > | xml_schema::exception
typedef ::xsd::cxx::tree::parsing< char > | xml_schema::parsing
typedef ::xsd::cxx::tree::expected_element< char > | xml_schema::expected_element
typedef ::xsd::cxx::tree::unexpected_element< char > | xml_schema::unexpected_element
typedef ::xsd::cxx::tree::expected_attribute< char > | xml_schema::expected_attribute
typedef ::xsd::cxx::tree::unexpected_enumerator< char > | xml_schema::unexpected_enumerator
typedef ::xsd::cxx::tree::expected_text_content< char > | xml_schema::expected_text_content
typedef ::xsd::cxx::tree::no_type_info< char > | xml_schema::no_type_info
typedef ::xsd::cxx::tree::not_derived< char > | xml_schema::not_derived
typedef ::xsd::cxx::tree::duplicate_id< char > | xml_schema::duplicate_id
typedef ::xsd::cxx::tree::serialization< char > | xml_schema::serialization
typedef ::xsd::cxx::tree::no_namespace_mapping< char > | xml_schema::no_namespace_mapping
typedef ::xsd::cxx::tree::no_prefix_mapping< char > | xml_schema::no_prefix_mapping
typedef ::xsd::cxx::tree::xsi_already_in_use< char > | xml_schema::xsi_already_in_use
typedef ::xsd::cxx::tree::bounds< char > | xml_schema::bounds
typedef ::xsd::cxx::tree::severity | xml_schema::severity
typedef ::xsd::cxx::tree::error< char > | xml_schema::error
typedef ::xsd::cxx::tree::diagnostics< char > | xml_schema::diagnostics
typedef ::xsd::cxx::xml::error_handler< char > | xml_schema::error_handler
## Functions
void | operator<< (::xercesc::DOMElement &, const hello_t &)
Parsing functions for the hello document root.
The hello element is a root of the Hello XML vocabulary. Every conforming document should start with this element.
::std::auto_ptr< ::hello_t > | hello (const::std::string &uri,::xml_schema::flags f=0, const ::xml_schema::properties &p=::xml_schema::properties())
| Parse a URI or a local file.
::std::auto_ptr< ::hello_t > | hello (const::std::string &uri,::xml_schema::error_handler &eh,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a URI or a local file with an error handler.
::std::auto_ptr< ::hello_t > | hello (const::std::string &uri,::xercesc::DOMErrorHandler &eh,::xml_schema::flags f=0, const ::xml_schema::properties &p=::xml_schema::properties())
| Parse a URI or a local file with a Xerces-C++ DOM error handler.
::std::auto_ptr< ::hello_t > | hello (::std::istream &is,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a standard input stream.
::std::auto_ptr< ::hello_t > | hello (::std::istream &is,::xml_schema::error_handler &eh,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a standard input stream with an error handler.
::std::auto_ptr< ::hello_t > | hello (::std::istream &is,::xercesc::DOMErrorHandler &eh,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a standard input stream with a Xerces-C++ DOM error handler.
::std::auto_ptr< ::hello_t > | hello (::std::istream &is, const::std::string &id,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a standard input stream with a resource id.
::std::auto_ptr< ::hello_t > | hello (::std::istream &is, const::std::string &id,::xml_schema::error_handler &eh,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a standard input stream with a resource id and an error handler.
::std::auto_ptr< ::hello_t > | hello (::std::istream &is, const::std::string &id,::xercesc::DOMErrorHandler &eh,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a standard input stream with a resource id and a Xerces-C++ DOM error handler.
::std::auto_ptr< ::hello_t > | hello (const::xercesc::DOMInputSource &is,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a Xerces-C++ DOM input source.
::std::auto_ptr< ::hello_t > | hello (const::xercesc::DOMInputSource &is,::xml_schema::error_handler &eh,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a Xerces-C++ DOM input source with an error handler.
::std::auto_ptr< ::hello_t > | hello (const::xercesc::DOMInputSource &is,::xercesc::DOMErrorHandler &eh,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a Xerces-C++ DOM input source with a Xerces-C++ DOM error handler.
::std::auto_ptr< ::hello_t > | hello (const::xercesc::DOMDocument &d,::xml_schema::flags f=0, const ::xml_schema::properties &p=::xml_schema::properties())
| Parse a Xerces-C++ DOM document.
::std::auto_ptr< ::hello_t > | hello (::xercesc::DOMDocument *d,::xml_schema::flags f=0, const::xml_schema::properties &p=::xml_schema::properties())
| Parse a Xerces-C++ DOM document.
Serialization functions for the hello document root.
The hello element is a root of the Hello XML vocabulary. Every conforming document should start with this element.
void | hello (::std::ostream &os, const::hello_t &x, const::xml_schema::namespace_infomap &m, const ::std::string &e="UTF-8",::xml_schema::flags f=0)
| Serialize to a standard output stream.
void | hello (::std::ostream &os, const::hello_t &x, const::xml_schema::namespace_infomap &m,::xml_schema::error_handler &eh, const ::std::string &e="UTF-8",::xml_schema::flags f=0)
| Serialize to a standard output stream with an error handler.
void | hello (::std::ostream &os, const::hello_t &x, const::xml_schema::namespace_infomap &m,::xercesc::DOMErrorHandler &eh, const ::std::string &e="UTF-8",::xml_schema::flags f=0)
| Serialize to a standard output stream with a Xerces-C++ DOM error handler.
void | hello (::xercesc::XMLFormatTarget &ft, const::hello_t &x, const::xml_schema::namespace_infomap &m, const::std::string &e="UTF-8",::xml_schema::flags f=0)
| Serialize to a Xerces-C++ XML format target.
void | hello (::xercesc::XMLFormatTarget &ft, const::hello_t &x, const::xml_schema::namespace_infomap &m,::xml_schema::error_handler &eh, const ::std::string &e="UTF-8",::xml_schema::flags f=0)
| Serialize to a Xerces-C++ XML format target with an error handler.
void | hello (::xercesc::XMLFormatTarget &ft, const::hello_t &x, const::xml_schema::namespace_infomap &m,::xercesc::DOMErrorHandler &eh, const::std::string &e="UTF-8",::xml_schema::flags f=0)
| Serialize to a Xerces-C++ XML format target with a Xerces-C++ DOM error handler.
void | hello (::xercesc::DOMDocument &d, const::hello_t &x,::xml_schema::flags f=0)
| Serialize to an existing Xerces-C++ DOM document.
::xsd::cxx::xml::dom::auto_ptr< ::xercesc::DOMDocument > | hello (const::hello_t &x, const ::xml_schema::namespace_infomap &m,::xml_schema::flags f=0)
| Serialize to a new Xerces-C++ DOM document.
## Variables
const XMLCh *const | xml_schema::tree_node_key = ::xsd::cxx::tree::user_data_keys::node

## Detailed Description

Generated from hello.xsd.

## Function Documentation

::xsd::cxx::xml::dom::auto_ptr< ::xercesc::DOMDocument > hello | ( | const ::hello_t & | x,
|  | const ::xml_schema::namespace_infomap & | m,
|  | ::xml_schema::flags | f = `0` |
| ) |  |  |

Serialize to a new Xerces-C++ DOM document.

Parameters:

  | x | An object model to serialize.
  | m | A namespace information map.
  | f | Serialization flags.

Returns:
  A pointer to the new Xerces-C++ DOM document.

void hello | ( | ::xercesc::DOMDocument & | d,
|  | const ::hello_t & | x,
|  | ::xml_schema::flags | f = `0` |
| ) |  |  |

Serialize to an existing Xerces-C++ DOM document.

Parameters:

  | d | A Xerces-C++ DOM document.
  | x | An object model to serialize.
  | f | Serialization flags.

Note that it is your responsibility to create the DOM document with the correct root element as well as set the necessary namespace mapping attributes.

void hello | ( | ::xercesc::XMLFormatTarget & | ft,
|  | const ::hello_t & | x,
|  | const ::xml_schema::namespace_infomap & | m,
|  | ::xercesc::DOMErrorHandler & | eh,
|  | const ::std::string & | e = `"UTF-8"`,
|  | ::xml_schema::flags | f = `0` |
| ) |  |  |

Serialize to a Xerces-C++ XML format target with a Xerces-C++ DOM error handler.

Parameters:

  | ft | A Xerces-C++ XML format target.
  | x | An object model to serialize.
  | m | A namespace information map.
  | eh | A Xerces-C++ DOM error handler.
  | e | A character encoding to produce XML in.
  | f | Serialization flags.

This function reports serialization errors by calling the error handler.

void hello | ( | ::xercesc::XMLFormatTarget & | ft,
|  | const ::hello_t & | x,
|  | const ::xml_schema::namespace_infomap & | m,
|  | ::xml_schema::error_handler & | eh,
|  | const ::std::string & | e = `"UTF-8"`,
|  | ::xml_schema::flags | f = `0` |
| ) |  |  |

Serialize to a Xerces-C++ XML format target with an error handler.

Parameters:

  | ft | A Xerces-C++ XML format target.
  | x | An object model to serialize.
  | m | A namespace information map.
  | eh | An error handler.
  | e | A character encoding to produce XML in.
  | f | Serialization flags.

This function reports serialization errors by calling the error handler.

void hello | ( | ::xercesc::XMLFormatTarget & | ft,
|  | const ::hello_t & | x,
|  | const ::xml_schema::namespace_infomap & | m,
|  | const ::std::string & | e = `"UTF-8"`,
|  | ::xml_schema::flags | f = `0` |
| ) |  |  |

Serialize to a Xerces-C++ XML format target.

Parameters:

  | ft | A Xerces-C++ XML format target.
  | x | An object model to serialize.
  | m | A namespace information map.
  | e | A character encoding to produce XML in.
  | f | Serialization flags.

This function uses exceptions to report serialization errors.

void hello | ( | ::std::ostream & | os,
|  | const ::hello_t & | x,
|  | const ::xml_schema::namespace_infomap & | m,
|  | ::xercesc::DOMErrorHandler & | eh,
|  | const ::std::string & | e = `"UTF-8"`,
|  | ::xml_schema::flags | f = `0` |
| ) |  |  |

Serialize to a standard output stream with a Xerces-C++ DOM error handler.

Parameters:

  | os | A standrad output stream.
  | x | An object model to serialize.
  | m | A namespace information map.
  | eh | A Xerces-C++ DOM error handler.
  | e | A character encoding to produce XML in.
  | f | Serialization flags.

This function reports serialization errors by calling the error handler.

void hello | ( | ::std::ostream & | os,
|  | const ::hello_t & | x,
|  | const ::xml_schema::namespace_infomap & | m,
|  | ::xml_schema::error_handler & | eh,
|  | const ::std::string & | e = `"UTF-8"`,
|  | ::xml_schema::flags | f = `0` |
| ) |  |  |

Serialize to a standard output stream with an error handler.

Parameters:

  | os | A standrad output stream.
  | x | An object model to serialize.
  | m | A namespace information map.
  | eh | An error handler.
  | e | A character encoding to produce XML in.
  | f | Serialization flags.

This function reports serialization errors by calling the error handler.

void hello | ( | ::std::ostream & | os,
|  | const ::hello_t & | x,
|  | const ::xml_schema::namespace_infomap & | m,
|  | const ::std::string & | e = `"UTF-8"`,
|  | ::xml_schema::flags | f = `0` |
| ) |  |  |

Serialize to a standard output stream.

Parameters:

  | os | A standrad output stream.
  | x | An object model to serialize.
  | m | A namespace information map.
  | e | A character encoding to produce XML in.
  | f | Serialization flags.

This function uses exceptions to report serialization errors.

::std::auto_ptr< ::hello_t > hello | ( | ::xercesc::DOMDocument * | d,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a Xerces-C++ DOM document.

Parameters:

  | d | A pointer to the Xerces-C++ DOM document.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function is normally used together with the keep_dom and own_dom parsing flags to assign ownership of the DOM document to the object model.

::std::auto_ptr< ::hello_t > hello | ( | const ::xercesc::DOMDocument & | d,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a Xerces-C++ DOM document.

Parameters:

  | d | A Xerces-C++ DOM document.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

::std::auto_ptr< ::hello_t > hello | ( | const ::xercesc::DOMInputSource & | is,
|  | ::xercesc::DOMErrorHandler & | eh,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a Xerces-C++ DOM input source with a Xerces-C++ DOM error handler.

Parameters:

  | is | A Xerces-C++ DOM input source.
  | eh | A Xerces-C++ DOM error handler.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function reports parsing errors by calling the error handler.

::std::auto_ptr< ::hello_t > hello | ( | const ::xercesc::DOMInputSource & | is,
|  | ::xml_schema::error_handler & | eh,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a Xerces-C++ DOM input source with an error handler.

Parameters:

  | is | A Xerces-C++ DOM input source.
  | eh | An error handler.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function reports parsing errors by calling the error handler.

::std::auto_ptr< ::hello_t > hello | ( | const ::xercesc::DOMInputSource & | is,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a Xerces-C++ DOM input source.

Parameters:

  | is | A Xerces-C++ DOM input source.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function uses exceptions to report parsing errors.

::std::auto_ptr< ::hello_t > hello | ( | ::std::istream & | is,
|  | const ::std::string & | id,
|  | ::xercesc::DOMErrorHandler & | eh,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a standard input stream with a resource id and a Xerces-C++ DOM error handler.

Parameters:

  | is | A standrad input stream.
  | id | A resource id.
  | eh | A Xerces-C++ DOM error handler.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

The resource id is used to identify the document being parsed in diagnostics as well as to resolve relative paths.

This function reports parsing errors by calling the error handler.

::std::auto_ptr< ::hello_t > hello | ( | ::std::istream & | is,
|  | const ::std::string & | id,
|  | ::xml_schema::error_handler & | eh,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a standard input stream with a resource id and an error handler.

Parameters:

  | is | A standrad input stream.
  | id | A resource id.
  | eh | An error handler.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

The resource id is used to identify the document being parsed in diagnostics as well as to resolve relative paths.

This function reports parsing errors by calling the error handler.

::std::auto_ptr< ::hello_t > hello | ( | ::std::istream & | is,
|  | const ::std::string & | id,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a standard input stream with a resource id.

Parameters:

  | is | A standrad input stream.
  | id | A resource id.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

The resource id is used to identify the document being parsed in diagnostics as well as to resolve relative paths.

This function uses exceptions to report parsing errors.

::std::auto_ptr< ::hello_t > hello | ( | ::std::istream & | is,
|  | ::xercesc::DOMErrorHandler & | eh,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a standard input stream with a Xerces-C++ DOM error handler.

Parameters:

  | is | A standrad input stream.
  | eh | A Xerces-C++ DOM error handler.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function reports parsing errors by calling the error handler.

::std::auto_ptr< ::hello_t > hello | ( | ::std::istream & | is,
|  | ::xml_schema::error_handler & | eh,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a standard input stream with an error handler.

Parameters:

  | is | A standrad input stream.
  | eh | An error handler.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function reports parsing errors by calling the error handler.

::std::auto_ptr< ::hello_t > hello | ( | ::std::istream & | is,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a standard input stream.

Parameters:

  | is | A standrad input stream.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function uses exceptions to report parsing errors.

::std::auto_ptr< ::hello_t > hello | ( | const ::std::string & | uri,
|  | ::xercesc::DOMErrorHandler & | eh,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a URI or a local file with a Xerces-C++ DOM error handler.

Parameters:

  | uri | A URI or a local file name.
  | eh | A Xerces-C++ DOM error handler.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function reports parsing errors by calling the error handler.

::std::auto_ptr< ::hello_t > hello | ( | const ::std::string & | uri,
|  | ::xml_schema::error_handler & | eh,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a URI or a local file with an error handler.

Parameters:

  | uri | A URI or a local file name.
  | eh | An error handler.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function reports parsing errors by calling the error handler.

::std::auto_ptr< ::hello_t > hello | ( | const ::std::string & | uri,
|  | ::xml_schema::flags | f = `0`,
|  | const ::xml_schema::properties & | p = `::xml_schema::properties()` |
| ) |  |  |

Parse a URI or a local file.

Parameters:

  | uri | A URI or a local file name.
  | f | Parsing flags.
  | p | Parsing properties.

Returns:
  A pointer to the root of the object model.

This function uses exceptions to report parsing errors.